EXECUTE (CREATE TABLE SECURITIZATION_INSTRUMENT (
     FINANCIAL_INSTRUMENT_RK NUMBER(10) NOT NULL,
     VALID_FROM_DTTM      DATE NOT NULL,
     SECURITIZATION_POOL_RK NUMBER(10),
     SECURITIZ_INSTRUMENT_TYPE_CD VARCHAR2(3),
     TRANCHE_SECURITY_RANK_NO NUMBER(10),
     TRANCHE_FACE_VALUE_AMT NUMBER(18,5),
     TRANCHE_CREDIT_ENHNCE_LEVEL_RT NUMBER(9,4),
     TRANCHE_THICKNESS_RT NUMBER(9,4),
     TRANCHE_CURRENT_FACTOR_RT NUMBER(9,4),
     LOSS_RANK_NO         NUMBER(10),
     OVER_COLLAT_TEST_TRIGGER_VALUE NUMBER(18,5),
     CAPITAL_PROTECTION_AMT NUMBER(18,5),
     TRANCHE_ATTACH_POINT_VALUE NUMBER(18,5),
     TRANCHE_DETACH_POINT_VALUE NUMBER(18,5),
     TRANCHE_POINT_VALUE_TYPE_CD VARCHAR2(3),
     PREPAY_STRUCTURED_PRODUCT_FLG VARCHAR2(1),
     OVER_COL_TST_TRIG_VAL_TYPE_CD VARCHAR2(3),
     VALID_TO_DTTM        DATE NOT NULL,
     PROCESSED_DTTM       DATE NOT NULL,
     PRIMARY KEY (FINANCIAL_INSTRUMENT_RK, VALID_FROM_DTTM)
)) BY ORACLE;

