EXECUTE (CREATE TABLE CREDIT_RISK_MITIGANT (
     CREDIT_RISK_MITIGANT_RK NUMERIC(10)     NOT NULL,
     VALID_FROM_DTTM      TIMESTAMP     NOT NULL,
     VALID_TO_DTTM        TIMESTAMP     NOT NULL,
     EFFECTIVE_FROM_DT    DATE,
     CREDIT_RISK_MITIGANT_TYPE_CD VARCHAR(3),
     CREDIT_RISK_MITIGANT_ID VARCHAR(32),
     PHYSICAL_COLLATERAL_RK NUMERIC(10),
     FINANCIAL_COLLATERAL_RK NUMERIC(10),
     GUARANTEE_RK         NUMERIC(10),
     RECEIVABLES_RK       NUMERIC(10),
     PRIM_COLL_ASSET_TYPE_CD VARCHAR(3),
     SOURCE_SYSTEM_CD     VARCHAR(3),
     VALUATION_TYPE_CD    VARCHAR(3),
     HIGHER_SENIORITY_AMT NUMERIC(18,5),
     PROTECTION_VALUE_AMT NUMERIC(18,5),
     CURRENCY_CD          VARCHAR(3),
     EXPIRATION_DT        DATE,
     MTM_TIME_FREQUENCY_CD VARCHAR(3),
     IRREVOCABLE_FLG      CHARACTER(1),
     ELIGIBLE_CR_MITIGANT_TYPE_CD VARCHAR(3),
     HELD_BY_INTERNAL_ORG_RK NUMERIC(10),
     UNFUNDED_FLG         CHARACTER(1),
     THIRD_PARTY_DEPOSIT_FLG CHARACTER(1),
     USED_FOR_APPL_ONLY_FLG CHARACTER(1),
     IRB_ALT_TREAT_ELIGIBLE_TYPE_CD VARCHAR(3),
     MTM_MITIGANT_VALUE_AMT NUMERIC(18,5),
     EFFECTIVE_FROM_DTTM  TIMESTAMP,
     EFFECTIVE_TO_DTTM    TIMESTAMP,
     PROCESSED_DTTM       TIMESTAMP     NOT NULL)
     PRIMARY INDEX CREDIT_RISK_MITIGANT_PI (CREDIT_RISK_MITIGANT_RK)
) BY TERADATA;

